%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name hslua
%define f_pkg_name hslua
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.3.3
Release: alt1.1
License: BSD3
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Group: Development/Haskell
URL: ???
Source: %name-%version.tar
Summary: A Lua language interpreter embedding in Haskell
BuildRequires: ghc 
BuildRequires(pre): rpm-build-haskell



%description
The Scripting.Lua module is a wrapper of Lua language interpreter as
described in www.lua.org.

The package is standalone: full Lua interpreter version 5.1.4 is
distributed in this package as well.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Sat Aug 13 2011 Denis Smirnov <mithraen@altlinux.ru> 0.3.3-alt1.1
- rebuild with shared objects support

* Thu Aug 04 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.3-alt1
- Spec created by cabal2rpm 0.20_08
